Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HeapRecordId..::.toArray Method (ByteOrder)
HeapRecordId Class See Also Send Feedback

Return a byte array representing this record id.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public byte[] toArray(
    	ByteOrder order
    )

Visual Basic (Declaration)
    Public Function toArray ( _
    	order As ByteOrder _
    ) As Byte()

Visual C++
    public:
    array<unsigned char>^ toArray(
    	ByteOrder^ order
    )

#### Parameters

order
  Type: BerkeleyDB..::.ByteOrder
  The byte order to use when constructing the array.

#### Return Value

A byte array representing this record id.

# See Also

HeapRecordId Class
toArray Overload
BerkeleyDB Namespace